#pragma once
#include <string>

class ClockTime
{
public:
    int h,m;
};

class Weather
{
public:
    static Weather GetWeather(const std::string& CityName);

    Weather();
    bool isReady() const;

    std::string city;

    int temperature;
    int humidity;

    std::string wind_direction;
    ClockTime sunrise;
    ClockTime sunset;

    std::string quality;
    std::string suggestion;

    int o3;
    int co;
    int pm10;
    int pm25;
    int aqi;
    int so2;
    int no2;

private:
    int _status;
};
